---
lang: en
title: 'API docs: testlab.skipontravis'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.skipontravis.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [skipOnTravis](./testlab.skipontravis.md)

## skipOnTravis() function

Helper function for skipping tests on Travis CI.

**Signature:**

```typescript
export declare function skipOnTravis<ARGS extends unknown[], RETVAL>(verb: TestDefinition<ARGS, RETVAL> & {
    skip: TestDefinition<ARGS, RETVAL>;
}, name: string, ...args: ARGS): RETVAL;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  verb | [TestDefinition](./testlab.testdefinition.md)<!-- -->&lt;ARGS, RETVAL&gt; &amp; { skip: [TestDefinition](./testlab.testdefinition.md)<!-- -->&lt;ARGS, RETVAL&gt;; } | The function to invoke to define the test case or the test suite, e.g. <code>it</code> or <code>describe</code>. |
|  name | string | The test name (the first argument of <code>verb</code> function). |
|  args | ARGS | Additional arguments (framework specific), typically a function implementing the test. |

**Returns:**

RETVAL

## Example


```ts
skipOnTravis(it, 'does something when some condition', async () => {
  // the test
});
```


